org.fourthline.cling.transport.impl

## Class GENAEventProcessorImpl

- java.lang.Object
- - org.fourthline.cling.transport.impl.GENAEventProcessorImpl

- All Implemented Interfaces:
    GENAEventProcessor, ErrorHandler
  Direct Known Subclasses:
    PullGENAEventProcessorImpl

      public class GENAEventProcessorImpl
      extends Object
      implements GENAEventProcessor, ErrorHandler

  Default implementation based on the W3C DOM XML processing API.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GENAEventProcessorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DocumentBuilderFactory` | `createDocumentBuilderFactory()`
    `void` | `error(SAXParseException e)`
    `void` | `fatalError(SAXParseException e)`
    `protected String` | `getMessageBody(UpnpMessage message)`
    `protected String` | `getUnprefixedNodeName(Node node)`
    `void` | `readBody(IncomingEventRequestMessage requestMessage)` Transforms an XML message body and adds to a collection of `StateVariableValue`s..
    `protected void` | `readProperties(Element propertysetElement, IncomingEventRequestMessage message)`
    `protected Element` | `readPropertysetElement(Document d)`
    `protected String` | `toString(Document d)`
    `void` | `warning(SAXParseException e)`
    `void` | `writeBody(OutgoingEventRequestMessage requestMessage)` Transforms a collection of `StateVariableValue`s into an XML message body.
    `protected void` | `writeProperties(Document d, Element propertysetElement, OutgoingEventRequestMessage message)`
    `protected Element` | `writePropertysetElement(Document d)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GENAEventProcessorImpl

          public GENAEventProcessorImpl()

  - ### Method Detail

    - #### createDocumentBuilderFactory

          protected DocumentBuilderFactory createDocumentBuilderFactory()
                                                                 throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### writeBody

          public void writeBody(OutgoingEventRequestMessage requestMessage)
                         throws UnsupportedDataException

      Description copied from interface: `GENAEventProcessor`
      Transforms a collection of `StateVariableValue`s into an XML message body.
      Specified by:
        `writeBody` in interface `GENAEventProcessor`
      Parameters:
        `requestMessage` - The message to transform.
      Throws:
        `UnsupportedDataException`

    - #### readBody

          public void readBody(IncomingEventRequestMessage requestMessage)
                        throws UnsupportedDataException

      Description copied from interface: `GENAEventProcessor`
      Transforms an XML message body and adds to a collection of `StateVariableValue`s..
      Specified by:
        `readBody` in interface `GENAEventProcessor`
      Parameters:
        `requestMessage` - The message to transform.
      Throws:
        `UnsupportedDataException`

    - #### writePropertysetElement

          protected Element writePropertysetElement(Document d)

    - #### readPropertysetElement

          protected Element readPropertysetElement(Document d)

    - #### writeProperties

          protected void writeProperties(Document d,
                                         Element propertysetElement,
                                         OutgoingEventRequestMessage message)

    - #### readProperties

          protected void readProperties(Element propertysetElement,
                                        IncomingEventRequestMessage message)

    - #### getMessageBody

          protected String getMessageBody(UpnpMessage message)
                                   throws UnsupportedDataException

      Throws:
        `UnsupportedDataException`

    - #### toString

          protected String toString(Document d)
                             throws Exception

      Throws:
        `Exception`

    - #### getUnprefixedNodeName

          protected String getUnprefixedNodeName(Node node)

    - #### warning

          public void warning(SAXParseException e)
                       throws SAXException

      Specified by:
        `warning` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### error

          public void error(SAXParseException e)
                     throws SAXException

      Specified by:
        `error` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### fatalError

          public void fatalError(SAXParseException e)
                          throws SAXException

      Specified by:
        `fatalError` in interface `ErrorHandler`
      Throws:
        `SAXException`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.